<?php
/**
 * Optics Theme Customizer.
 *
 * @package Optics
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function optics_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

}
add_action( 'customize_register', 'optics_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function optics_customize_preview_js() {
	wp_enqueue_script( 'optics_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'optics_customize_preview_js' );

/**
 * Localize scripts for Customizer
 * @return [type] [description]
 */
function optics_customizer_scripts() {

	if ( ! optics_is_pro() ) {
		wp_enqueue_style( 'optics-customizer-sections', get_template_directory_uri() . "/inc/css/customizer-sections.css", '', '20130508' );
		wp_enqueue_script( 'optics-customizer-sections',	get_template_directory_uri() . '/js/customizer-scripts.js', '', '20160108', true );

		// Add localization strings
	
		$data = array(
			'proURL'	=> esc_url( optics_get_pro_link( 'customize-head' ) ),
			'proLabel'	=> esc_html__( 'Upgrade to Optics Pro', 'optics' ),
		);
		// Localize the script
		wp_localize_script(
			'optics-customizer-sections',
			'opticsPro',
			$data
		);
	}

}
add_action( 'customize_controls_enqueue_scripts', 'optics_customizer_scripts' );